Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025252
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Quotationsminoralways2013-11-29 06:272013-12-04 13:34
ReportersureshbabuView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in VersionRMP29
StatusclosedFix in branchpiFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025252: RMP29: when i edit the quotation and change it to return line, once quotation is saved as separate instance in the backend

Descriptionwhen i edit the quotation and change it to return line, then the quotation is saved as two separate instance in the back end (ERP)
Steps To Reproduce1) create a quotation with below lines

a)Product:Tek towel
Qty: 1
unit price 19.90
total line amount 19.90
Total gross amount: 19.90

2) Click Total amount to complete the quotation

3) Then from menu option, click "Reactivate Quotation" and then change the line item as return line.

a)Product: Tek towel
Qty: -1
unit price 19.90
total line amount -19.90 (return line)

Total gross amount: -19.90

4) Click Total amount to complete the quotation

5) Navigate to "Sales Quotation" window and verify the details

Defect: One can find, there will be two entries for the same quotation id.

TagsNo tags attached.
Attached Filespng file icon when i edit the quotation and change it to return line, then the quotation is saved as separate instnace in the backend (ERP).png [^] (131,310 bytes) 2013-11-29 06:27

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062485)
marvintm (developer)
2013-12-02 13:00

This issue was fixed by the following changeset:

https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/389796c5daff [^]
(0062517)
guilleaer (developer)
2013-12-04 13:34

verified

- Issue History
Date Modified Username Field Change
2013-11-29 06:27 sureshbabu New Issue
2013-11-29 06:27 sureshbabu Assigned To => marvintm
2013-11-29 06:27 sureshbabu File Added: when i edit the quotation and change it to return line, then the quotation is saved as separate instnace in the backend (ERP).png
2013-11-29 06:27 sureshbabu Triggers an Emergency Pack => No
2013-11-29 06:32 sureshbabu Summary Quotation: when i edit the quotation and change it to return line, once quotation is saved as separate instance in the backend => RMP29: when i edit the quotation and change it to return line, once quotation is saved as separate instance in the backend
2013-12-02 12:59 marvintm Status new => scheduled
2013-12-02 12:59 marvintm fix_in_branch => pi
2013-12-02 13:00 marvintm Note Added: 0062485
2013-12-02 13:00 marvintm Status scheduled => resolved
2013-12-02 13:00 marvintm Fixed in Version => RMP30
2013-12-02 13:00 marvintm Resolution open => fixed
2013-12-02 13:00 marvintm Status resolved => new
2013-12-02 13:00 marvintm Resolution fixed => open
2013-12-02 13:00 marvintm Fixed in Version RMP30 =>
2013-12-02 13:00 marvintm Status new => scheduled
2013-12-02 13:01 marvintm Status scheduled => resolved
2013-12-02 13:01 marvintm Fixed in Version => RMP29
2013-12-02 13:01 marvintm Resolution open => fixed
2013-12-04 13:34 guilleaer Review Assigned To => guilleaer
2013-12-04 13:34 guilleaer Note Added: 0062517
2013-12-04 13:34 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker